import React, { ComponentProps } from "react";
import { Room } from "matrix-js-sdk/src/matrix";
import BaseAvatar from "./BaseAvatar";
import { IOOBData } from "../../../stores/ThreepidInviteStore";
interface IProps extends Omit<ComponentProps<typeof BaseAvatar>, "name" | "idName" | "url" | "onClick"> {
    room?: Room;
    oobData: IOOBData & {
        roomId?: string;
    };
    viewAvatarOnClick?: boolean;
    onClick?(): void;
}
interface IState {
    urls: string[];
}
export declare function idNameForRoom(room: Room): string;
export default class RoomAvatar extends React.Component<IProps, IState> {
    static defaultProps: {
        size: string;
        oobData: {};
    };
    constructor(props: IProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    static getDerivedStateFromProps(nextProps: IProps): IState;
    private onRoomStateEvents;
    private static getImageUrls;
    private static getRoomAvatarUrl;
    private onRoomAvatarClick;
    private get roomIdName();
    render(): React.ReactNode;
}
export {};
